Api
Get Call Metrics
Get call metrics for the Call Metrics tab (AC1, AC2). Returns KPIs, call volume trend, outcome breakdown, and peak hours. Response time target: <500ms (AC9).
Get call metrics for the Call Metrics tab (AC1, AC2).
Returns KPIs, call volume trend, outcome breakdown, and peak hours. Response time target: <500ms (AC9).
AuthorizationBearer <token>
In: header
Query Parameters
start_date*string
Start date (YYYY-MM-DD)
Format
dateend_date*string
End date (YYYY-MM-DD)
Format
dateoutcome?|
Filter by outcome
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/analytics/call-metrics?start_date=2019-08-24&end_date=2019-08-24"{
"call_volume": [
{
"completed_calls": 0,
"date": "2019-08-24",
"failed_calls": 0,
"total_calls": 0
}
],
"kpis": {
"avg_duration_seconds": 0,
"completed_calls": 0,
"escalation_count": 0,
"failed_calls": 0,
"first_call_resolution_rate": 0,
"period_end": "2019-08-24",
"period_start": "2019-08-24",
"tickets_created": 0,
"total_calls": 0
},
"outcome_breakdown": [
{
"count": 0,
"outcome": "string",
"percentage": 0
}
],
"peak_hours": [
{
"call_count": 0,
"day_of_week": 0,
"hour": 0
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}